Discovery - Refactor #34677

Use new DSL to define settings
03/25/2022 11:34 AM - Lukas Zapletal

Status: Closed
Priority: Normal
Assignee: Lukas Zapletal
Category:
Target version: Discovery Plugin 16.0
Difficulty: Fixed in Releases: Discovery Plugin 16.0
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman_
discovery/pull/564
Description
SSIA
Related issues:
Related to Foreman - Refactor #34603: Deprecate other than DSL setting defini... Closed
Related to Foreman - Tracker #29939: Improve setting definition DSL and move ... Closed
Related to Discovery - Refactor #32411: Remove the old Setting class, which n... New

Associated revisions

Revision 52550d31 - 03/30/2022 06:50 AM - Lukas Zapletal
Fixes #34677 - adds settings DSL

History

#1 - 03/25/2022 11:34 AM - Lukas Zapletal
- Related to Refactor #34603: Deprecate other than DSL setting definitions added

#2 - 03/25/2022 12:05 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Lukas Zapletal

- Pull request https://github.com/theforeman/foreman_discovery/pull/564 added

#3 - 03/30/2022 06:51 AM - The Foreman Bot
- Fixed in Releases Discovery Plugin 16.0 added

#4 - 03/30/2022 07:01 AM - Anonymous
- Status changed from Ready For Testing to Closed

Applied in changeset foreman_discovery|52550d313c68aac1c1127075810254171358c70d.

#5 - 06/03/2022 07:00 AM - Ondfej Ezr

- Subject changed from Deprecate old settings to Use new DSL to define settings

#6 - 06/03/2022 07:00 AM - Ondfej Ezr
- Related to Tracker #29939: Improve setting definition DSL and move setting registry to memory added

#7 - 06/03/2022 07:01 AM - Ondfej Ezr

- Tracker changed from Bug to Refactor

#8 - 06/03/2022 07:02 AM - Ondfej Ezr
https://projects.theforeman.org/projects/discovery/repository/foreman_discovery/revisions/52550d313c68aac1c1127075810254171358c70d

- Related to Refactor #32411: Remove the old Setting class, which now only holds helper methods added
